package
{
	import control.LoginCommand;
	import control.StartCommand;
	
	import event.LoginEvent;
	
	import flash.display.DisplayObjectContainer;
	
	import model.UserModel;
	
	import org.robotlegs.base.ContextEvent;
	import org.robotlegs.mvcs.Context;
	
	import view.LoginMeditor;
	import view.LoginView;

	/****
	 * 初始化上下文，注册actor（mvcs）各层
	 * **/
	public class DemoContext extends Context
	{
		//注入文档类，整个上下文都可以通过 contextView来获取 displayobjectcontainer对象
		public function DemoContext(docClass:DisplayObjectContainer)
		{
			//父类构造函数 public function Context(contextView:DisplayObjectContainer = null, autoStartup:Boolean = true)
			super(docClass);//
		}
		
		override public function startup():void
		{
			//注册命令绑定
			commandMap.mapEvent(ContextEvent.STARTUP_COMPLETE,StartCommand,ContextEvent,true);//只执行一次初始化，所以这里写true
			commandMap.mapEvent(LoginEvent.EVENT_LOGIN,LoginCommand,LoginEvent);
			//注册meditor
			mediatorMap.mapView(LoginView,LoginMeditor);
			//注册model
			injector.mapClass(UserModel,UserModel);
			
			contextView.addChild(new LoginView());
			//启动一次
			dispatchEvent(new ContextEvent(ContextEvent.STARTUP_COMPLETE));
		}
		
		
	}
}